MAB2::Writer::Handle(3pm)

NAME
MAB2::Writer::Handle - Utility class for common MAB2::Writer arguments and methods.

Arguments

"file"
    Path to file.

"fh"
    Open filehandle.

"encoding"
    Set encoding.

METHODS

  _set_fh()
Open filehandle (with specified encoding) from file.

  close_fh()
Close filehandle.

  write()
Write record to filehandle.

AUTHOR
Johann Rolschewski <jorol@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2013 by Johann Rolschewski.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.